I am running windows 7 64 bit. I noticed in my Firefox extensions that Zone Alarm is not compatible with Firefox 16.0.1.
Does that mean that I am unprotected in Firefox and cannot use Firefox until this is straightened out. If so about how long

Lazer